% Find out the number of cells of a hexagonal layout, given the number of 
% layers (count the center hexagon as 1st layer)
function NumHexagon = FindNumHexagon(Layers)
if Layers < 0 || Layers - floor(Layers) ~= 0
    error('Input (number of layers) must be a non-negative integer');
end

if Layers == 1
    NumHexagon = 1;
else
    NumHexagon = 1;
    for i = 1:Layers-1
        NumHexagon = NumHexagon + 6 * i;
    end
end