% Perform scheduling for the BS and AllNeighbor of the BS

function [Station,UE] = Schedule_all...
    (Station,Ix,UE,NumPRB,NoiseDen,NoiseFigure,BWperRB,NumTimeSlots,NumFreqSlots,Scheduler,pf_window)

if strcmp(Scheduler,'RR')
    [Station(Ix),UE,nouse] = round_robin_scheduler(Station(Ix),UE,NumTimeSlots,NumFreqSlots);
elseif strcmp(Scheduler,'PF_LTE')
    [Station(Ix),UE,nouse] = PF_scheduler_LTE(Station(Ix),UE,NumPRB,NoiseDen,NoiseFigure,BWperRB,NumTimeSlots,NumFreqSlots,pf_window);
elseif strcmp(Scheduler,'CC')
    [Station(Ix),UE,nouse] = PF_scheduler_Kenneth(Station(Ix),UE,NumPRB,NoiseDen,NoiseFigure,BWperRB,NumTimeSlots,NumFreqSlots);
end
for k = 1:length(Station(Ix).AllNeighbor)
    ix = find([Station.NameTag]==Station(Ix).AllNeighbor(k));
    if strcmp(Scheduler,'RR')
        [Station(ix),UE,nouse] = round_robin_scheduler(Station(ix),UE,NumTimeSlots,NumFreqSlots);
    elseif strcmp(Scheduler,'PF_LTE')
        [Station(ix),UE,nouse] = PF_scheduler_LTE(Station(ix),UE,NumPRB,NoiseDen,NoiseFigure,BWperRB,NumTimeSlots,NumFreqSlots,pf_window);
    elseif strcmp(Scheduler,'CC')
        [Station(ix),UE,nouse] = PF_scheduler_Kenneth(Station(ix),UE,NumPRB,NoiseDen,NoiseFigure,BWperRB,NumTimeSlots,NumFreqSlots);
    end
end